<html>
<head>
<title>Ogre::DeflateStream Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1DeflateStream.html">DeflateStream</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::DeflateStream Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::DeflateStream" --><!-- doxytag: inherits="Ogre::DataStream" -->
<p>Stream which compresses / uncompresses data using the 'deflate' compression algorithm.  
 <a href="classOgre_1_1DeflateStream.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreDeflate_8h_source.html">OgreDeflate.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::DeflateStream:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1DeflateStream__inherit__graph.gif" border="0" usemap="#Ogre_1_1DeflateStream_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1DeflateStream_inherit__map" id="Ogre_1_1DeflateStream_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data." alt="" coords="12,83,140,112"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="29,5,123,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1DeflateStream-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a81856582e643b4a560e6c3d3ad05e08c">AccessMode</a> { <a class="el" href="classOgre_1_1DataStream.html#a81856582e643b4a560e6c3d3ad05e08cac5f9d1587e9cc7dd1577af114dcba50e">READ</a> =  1, 
<a class="el" href="classOgre_1_1DataStream.html#a81856582e643b4a560e6c3d3ad05e08ca8e221ca82d405d21d275997fbd3eb900">WRITE</a> =  2
 }</td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#a818c2d1085083eec882aaebea2ed9937">DeflateStream</a> (const <a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;compressedStream, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;tmpFileName=&quot;&quot;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for creating unnamed stream wrapping another stream.  <a href="#a818c2d1085083eec882aaebea2ed9937"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#aaf4a7e44a857fbb0ada71061df3e8ad2">DeflateStream</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;compressedStream, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;tmpFileName=&quot;&quot;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for creating named stream wrapping another stream.  <a href="#aaf4a7e44a857fbb0ada71061df3e8ad2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#a7ab66addcbf428322b1caea1d9c88cea">~DeflateStream</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#accce1307c2fadcb102817b6c2e37bdd3">isCompressedStreamValid</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the compressed stream is valid deflated data.  <a href="#accce1307c2fadcb102817b6c2e37bdd3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#a9f6e5c9b9e494733cc80f691de787362">read</a> (void *buf, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#aa0006ee4213a6af6e0aae98f59332d1d">write</a> (const void *buf, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#af142a9dab933b2ff36a12ae5016d59c8">skip</a> (long count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#aaf00e810593e4c47647f3565ab06a849">seek</a> (size_t pos)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#a4696077e3d53012d2e508502e1459686">tell</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#afe98061cf1e9f44fa59ea3707da21d14">eof</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#afd205aacbca957108898ce799603bf3f">close</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a7ebd86825f86b7114024d168e9751395">getName</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the name of the stream, if it has one.  <a href="#a7ebd86825f86b7114024d168e9751395"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a5c83611aecda5358beb6c6e035f33b51">getAccessMode</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the access mode of the stream.  <a href="#a5c83611aecda5358beb6c6e035f33b51"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a4779f7f57ff90ce12882c7c891651a71">isReadable</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reports whether this stream is readable.  <a href="#a4779f7f57ff90ce12882c7c891651a71"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a91509b9cec70111c65570883810224be">isWriteable</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reports whether this stream is writeable.  <a href="#a91509b9cec70111c65570883810224be"></a><br/></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1DataStream.html">DataStream</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a49bfe5809b50735b5ce49e7df9615e5a">operator&gt;&gt;</a> (T &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#aedc53a8cff5334563283a4557d423b25">readLine</a> (char *buf, size_t maxCount, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;delim=&quot;\n&quot;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a single line from the stream.  <a href="#aedc53a8cff5334563283a4557d423b25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a86d2ff5dff63ce4b689dd1d486d3243f">getLine</a> (bool trimAfter=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a String containing the next line of data, optionally trimmed for whitespace.  <a href="#a86d2ff5dff63ce4b689dd1d486d3243f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a022f49c9313deffc5da4383d59d1f32d">getAsString</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a String containing the entire stream.  <a href="#a022f49c9313deffc5da4383d59d1f32d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a32966ad5a814f8c72fe0affbefcc6f55">skipLine</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;delim=&quot;\n&quot;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Skip a single line from the stream.  <a href="#a32966ad5a814f8c72fe0affbefcc6f55"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a1d4e9568e53a8071ea9b29a015425aef">size</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the total size of the data to be read from the stream, or 0 if this is indeterminate for this stream.  <a href="#a1d4e9568e53a8071ea9b29a015425aef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#af6c1ebb22095a62e38cf501f6683172d">init</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#a2de9446e4d3c91ad6921cd02fdd889dd">destroy</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#a12ca20635fa7fac2ad351c4245a53fd9">compressFinal</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#a024e93885096fa4ad173eeaff662db58">mCompressedStream</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#a128d2927cfb876b9a6e1d28b44af3f1e">mTmpWriteStream</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#adfb37cc37e17df4c0d734bbf55f98f90">mTempFileName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgreDeflate_8h.html#aa4751fbf6d882976fb300ea9815f5010">z_stream</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#a85ce03abdcfb8904a942cc2e0eafa7c8">mZStream</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#a691e32453639f8356ba7b66edc650a7f">mCurrentPos</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StaticCache.html">StaticCache</a><br class="typebreak"/>
&lt; 16 *<a class="el" href="OgreDataStream_8h.html#a71a2d398037a64aa241ef5c0be350430">OGRE_STREAM_TEMP_SIZE</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#a4349212fc17bf2346574bc636d036d92">mReadCache</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Cache for read data in case skipping around.  <a href="#a4349212fc17bf2346574bc636d036d92"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#a249843cf1386300d0ccae577d29fc363">mTmp</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Intermediate buffer for read / write.  <a href="#a249843cf1386300d0ccae577d29fc363"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DeflateStream.html#a418d2338032eec00e54624700ab8ba22">mIsCompressedValid</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether the underlying stream is valid compressed data.  <a href="#a418d2338032eec00e54624700ab8ba22"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a371660702e913ca2799f0478a2154af7">mName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The name (e.g. resource name) that can be used to identify the source fot his data (optional)  <a href="#a371660702e913ca2799f0478a2154af7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a260d2aa9971abc5b8412cff1a01d6382">mSize</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Size of the data in the stream (may be 0 if size cannot be determined)  <a href="#a260d2aa9971abc5b8412cff1a01d6382"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a8eab8765fb7120bb1e519ff8d2460b13">mAccess</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">What type of access is allowed (AccessMode)  <a href="#a8eab8765fb7120bb1e519ff8d2460b13"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Stream which compresses / uncompresses data using the 'deflate' compression algorithm. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This stream is designed to wrap another stream for the actual source / destination of the compressed data, it has no concrete source / data itself. The idea is that you pass uncompressed data through this stream, and the underlying stream reads/writes compressed data to the final source. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>This is an alternative to using a compressed archive since it is able to compress &amp; decompress regardless of the actual source of the stream. You should avoid using this with already compressed archives. Also note that this cannot be used as a read / write stream, only a read-only or write-only stream. </dd></dl>

<p>Definition at line <a class="el" href="OgreDeflate_8h_source.html#l00055">55</a> of file <a class="el" href="OgreDeflate_8h_source.html">OgreDeflate.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a81856582e643b4a560e6c3d3ad05e08c"></a><!-- doxytag: member="Ogre::DeflateStream::AccessMode" ref="a81856582e643b4a560e6c3d3ad05e08c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1DataStream.html#a81856582e643b4a560e6c3d3ad05e08c">Ogre::DataStream::AccessMode</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a81856582e643b4a560e6c3d3ad05e08cac5f9d1587e9cc7dd1577af114dcba50e"></a><!-- doxytag: member="READ" ref="a81856582e643b4a560e6c3d3ad05e08cac5f9d1587e9cc7dd1577af114dcba50e" args="" -->READ</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a81856582e643b4a560e6c3d3ad05e08ca8e221ca82d405d21d275997fbd3eb900"></a><!-- doxytag: member="WRITE" ref="a81856582e643b4a560e6c3d3ad05e08ca8e221ca82d405d21d275997fbd3eb900" args="" -->WRITE</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00178">178</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a818c2d1085083eec882aaebea2ed9937"></a><!-- doxytag: member="Ogre::DeflateStream::DeflateStream" ref="a818c2d1085083eec882aaebea2ed9937" args="(const DataStreamPtr &amp;compressedStream, const String &amp;tmpFileName=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1DeflateStream.html#a818c2d1085083eec882aaebea2ed9937">Ogre::DeflateStream::DeflateStream</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>compressedStream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>tmpFileName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor for creating unnamed stream wrapping another stream. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">compressedStream</td><td>The stream that this stream will use when reading / writing compressed data. The access mode from this stream will be matched. </td></tr>
    <tr><td class="paramname">tmpFileName</td><td>Path/Filename to be used for temporary storage of incoming data </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aaf4a7e44a857fbb0ada71061df3e8ad2"></a><!-- doxytag: member="Ogre::DeflateStream::DeflateStream" ref="aaf4a7e44a857fbb0ada71061df3e8ad2" args="(const String &amp;name, const DataStreamPtr &amp;compressedStream, const String &amp;tmpFileName=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1DeflateStream.html#a818c2d1085083eec882aaebea2ed9937">Ogre::DeflateStream::DeflateStream</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>compressedStream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>tmpFileName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor for creating named stream wrapping another stream. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name to give this stream </td></tr>
    <tr><td class="paramname">compressedStream</td><td>The stream that this stream will use when reading / writing compressed data. The access mode from this stream will be matched. </td></tr>
    <tr><td class="paramname">tmpFileName</td><td>Path/Filename to be used for temporary storage of incoming data </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7ab66addcbf428322b1caea1d9c88cea"></a><!-- doxytag: member="Ogre::DeflateStream::~DeflateStream" ref="a7ab66addcbf428322b1caea1d9c88cea" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1DeflateStream.html#a7ab66addcbf428322b1caea1d9c88cea">Ogre::DeflateStream::~DeflateStream</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="afd205aacbca957108898ce799603bf3f"></a><!-- doxytag: member="Ogre::DeflateStream::close" ref="afd205aacbca957108898ce799603bf3f" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1DeflateStream.html#afd205aacbca957108898ce799603bf3f">Ogre::DeflateStream::close</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Close the stream; this makes further operations invalid. </p>
 
<p>Implements <a class="el" href="classOgre_1_1DataStream.html#ace95bf415101e195a0c79838fdcb7e7d">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="a12ca20635fa7fac2ad351c4245a53fd9"></a><!-- doxytag: member="Ogre::DeflateStream::compressFinal" ref="a12ca20635fa7fac2ad351c4245a53fd9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1DeflateStream.html#a12ca20635fa7fac2ad351c4245a53fd9">Ogre::DeflateStream::compressFinal</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2de9446e4d3c91ad6921cd02fdd889dd"></a><!-- doxytag: member="Ogre::DeflateStream::destroy" ref="a2de9446e4d3c91ad6921cd02fdd889dd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1DeflateStream.html#a2de9446e4d3c91ad6921cd02fdd889dd">Ogre::DeflateStream::destroy</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="afe98061cf1e9f44fa59ea3707da21d14"></a><!-- doxytag: member="Ogre::DeflateStream::eof" ref="afe98061cf1e9f44fa59ea3707da21d14" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1DeflateStream.html#afe98061cf1e9f44fa59ea3707da21d14">Ogre::DeflateStream::eof</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Returns true if the stream has reached the end. </p>
 
<p>Implements <a class="el" href="classOgre_1_1DataStream.html#a81d740638618913333324663b2edb519">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="a5c83611aecda5358beb6c6e035f33b51"></a><!-- doxytag: member="Ogre::DeflateStream::getAccessMode" ref="a5c83611aecda5358beb6c6e035f33b51" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1DataStream.html#a5c83611aecda5358beb6c6e035f33b51">Ogre::DataStream::getAccessMode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the access mode of the stream. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00201">201</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a022f49c9313deffc5da4383d59d1f32d"></a><!-- doxytag: member="Ogre::DeflateStream::getAsString" ref="a022f49c9313deffc5da4383d59d1f32d" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1DataStream.html#a022f49c9313deffc5da4383d59d1f32d">Ogre::DataStream::getAsString</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a String containing the entire stream. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This is a convenience method for text streams only, allowing you to retrieve a String object containing all the data in the stream. </dd></dl>

</div>
</div>
<a class="anchor" id="a86d2ff5dff63ce4b689dd1d486d3243f"></a><!-- doxytag: member="Ogre::DeflateStream::getLine" ref="a86d2ff5dff63ce4b689dd1d486d3243f" args="(bool trimAfter=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1DataStream.html#a86d2ff5dff63ce4b689dd1d486d3243f">Ogre::DataStream::getLine</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>trimAfter</em> = <code>true</code></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a String containing the next line of data, optionally trimmed for whitespace. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This is a convenience method for text streams only, allowing you to retrieve a String object containing the next line of data. The data is read up to the next newline character and the result trimmed if required. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>If you used this function, you <b>must</b> open the stream in <b>binary mode</b>, otherwise, it'll produce unexpected results. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">trimAfter</td><td>If true, the line is trimmed for whitespace (as in String.trim(true,true)) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7ebd86825f86b7114024d168e9751395"></a><!-- doxytag: member="Ogre::DeflateStream::getName" ref="a7ebd86825f86b7114024d168e9751395" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1DataStream.html#a7ebd86825f86b7114024d168e9751395">Ogre::DataStream::getName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the name of the stream, if it has one. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00199">199</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="af6c1ebb22095a62e38cf501f6683172d"></a><!-- doxytag: member="Ogre::DeflateStream::init" ref="af6c1ebb22095a62e38cf501f6683172d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1DeflateStream.html#af6c1ebb22095a62e38cf501f6683172d">Ogre::DeflateStream::init</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="accce1307c2fadcb102817b6c2e37bdd3"></a><!-- doxytag: member="Ogre::DeflateStream::isCompressedStreamValid" ref="accce1307c2fadcb102817b6c2e37bdd3" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1DeflateStream.html#accce1307c2fadcb102817b6c2e37bdd3">Ogre::DeflateStream::isCompressedStreamValid</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether the compressed stream is valid deflated data. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>If you pass this class a READ stream which is not compressed with the deflate algorithm, this method returns false and all read commands will actually be executed as passthroughs as a fallback. </dd></dl>

<p>Definition at line <a class="el" href="OgreDeflate_8h_source.html#l00100">100</a> of file <a class="el" href="OgreDeflate_8h_source.html">OgreDeflate.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4779f7f57ff90ce12882c7c891651a71"></a><!-- doxytag: member="Ogre::DeflateStream::isReadable" ref="a4779f7f57ff90ce12882c7c891651a71" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1DataStream.html#a4779f7f57ff90ce12882c7c891651a71">Ogre::DataStream::isReadable</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reports whether this stream is readable. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00203">203</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a91509b9cec70111c65570883810224be"></a><!-- doxytag: member="Ogre::DeflateStream::isWriteable" ref="a91509b9cec70111c65570883810224be" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1DataStream.html#a91509b9cec70111c65570883810224be">Ogre::DataStream::isWriteable</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reports whether this stream is writeable. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00205">205</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::DeflateStream::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::DeflateStream::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::DeflateStream::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::DeflateStream::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::DeflateStream::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::DeflateStream::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::DeflateStream::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::DeflateStream::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::DeflateStream::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::DeflateStream::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a49bfe5809b50735b5ce49e7df9615e5a"></a><!-- doxytag: member="Ogre::DeflateStream::operator&gt;&gt;" ref="a49bfe5809b50735b5ce49e7df9615e5a" args="(T &amp;val)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1DataStream.html">DataStream</a>&amp; Ogre::DataStream::operator&gt;&gt; </td>
          <td>(</td>
          <td class="paramtype">T &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9f6e5c9b9e494733cc80f691de787362"></a><!-- doxytag: member="Ogre::DeflateStream::read" ref="a9f6e5c9b9e494733cc80f691de787362" args="(void *buf, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1DeflateStream.html#a9f6e5c9b9e494733cc80f691de787362">Ogre::DeflateStream::read</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Read the requisite number of bytes from the stream, stopping at the end of the file. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>Reference to a buffer pointer </td></tr>
    <tr><td class="paramname">count</td><td>Number of bytes to read </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The number of bytes read </dd></dl>
 
<p>Implements <a class="el" href="classOgre_1_1DataStream.html#aebedb14c79369be5b8750d834b128b9b">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="aedc53a8cff5334563283a4557d423b25"></a><!-- doxytag: member="Ogre::DeflateStream::readLine" ref="aedc53a8cff5334563283a4557d423b25" args="(char *buf, size_t maxCount, const String &amp;delim=&quot;\n&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="classOgre_1_1DataStream.html#aedc53a8cff5334563283a4557d423b25">Ogre::DataStream::readLine</a> </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>maxCount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>delim</em> = <code>&quot;\n&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a single line from the stream. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The delimiter character is not included in the data returned, and it is skipped over so the next read will occur after it. The buffer contents will include a terminating character. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>If you used this function, you <b>must</b> open the stream in <b>binary mode</b>, otherwise, it'll produce unexpected results. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>Reference to a buffer pointer </td></tr>
    <tr><td class="paramname">maxCount</td><td>The maximum length of data to be read, excluding the terminating character </td></tr>
    <tr><td class="paramname">delim</td><td>The delimiter to stop at </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The number of bytes read, excluding the terminating character </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1FileStreamDataStream.html#af09667bef9ac4b514602baca8d08f007">Ogre::FileStreamDataStream</a>, and <a class="el" href="classOgre_1_1MemoryDataStream.html#a398aa1ba9f58276dc868d2c3968953c4">Ogre::MemoryDataStream</a>.</p>

</div>
</div>
<a class="anchor" id="aaf00e810593e4c47647f3565ab06a849"></a><!-- doxytag: member="Ogre::DeflateStream::seek" ref="aaf00e810593e4c47647f3565ab06a849" args="(size_t pos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1DeflateStream.html#aaf00e810593e4c47647f3565ab06a849">Ogre::DeflateStream::seek</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>pos</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Repositions the read point to a specified byte. </p>
 
<p>Implements <a class="el" href="classOgre_1_1DataStream.html#adc4002e013c279625553ccc3f50ddae1">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="a1d4e9568e53a8071ea9b29a015425aef"></a><!-- doxytag: member="Ogre::DeflateStream::size" ref="a1d4e9568e53a8071ea9b29a015425aef" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1DataStream.html#a1d4e9568e53a8071ea9b29a015425aef">Ogre::DataStream::size</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the total size of the data to be read from the stream, or 0 if this is indeterminate for this stream. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00296">296</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="af142a9dab933b2ff36a12ae5016d59c8"></a><!-- doxytag: member="Ogre::DeflateStream::skip" ref="af142a9dab933b2ff36a12ae5016d59c8" args="(long count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1DeflateStream.html#af142a9dab933b2ff36a12ae5016d59c8">Ogre::DeflateStream::skip</a> </td>
          <td>(</td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>count</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Skip a defined number of bytes. </p>
<p>This can also be a negative value, in which case the file pointer rewinds a defined number of bytes. </p>
 
<p>Implements <a class="el" href="classOgre_1_1DataStream.html#a776630c409195fdf118a6737571d3d07">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="a32966ad5a814f8c72fe0affbefcc6f55"></a><!-- doxytag: member="Ogre::DeflateStream::skipLine" ref="a32966ad5a814f8c72fe0affbefcc6f55" args="(const String &amp;delim=&quot;\n&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="classOgre_1_1DataStream.html#a32966ad5a814f8c72fe0affbefcc6f55">Ogre::DataStream::skipLine</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>delim</em> = <code>&quot;\n&quot;</code></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Skip a single line from the stream. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>If you used this function, you <b>must</b> open the stream in <b>binary mode</b>, otherwise, it'll produce unexpected results. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">delim</td><td>The delimiter(s) to stop at </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The number of bytes skipped </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1MemoryDataStream.html#a581ccd32944288808f7602b29a0218e9">Ogre::MemoryDataStream</a>.</p>

</div>
</div>
<a class="anchor" id="a4696077e3d53012d2e508502e1459686"></a><!-- doxytag: member="Ogre::DeflateStream::tell" ref="a4696077e3d53012d2e508502e1459686" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1DeflateStream.html#a4696077e3d53012d2e508502e1459686">Ogre::DeflateStream::tell</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Returns the current byte offset from beginning. </p>
 
<p>Implements <a class="el" href="classOgre_1_1DataStream.html#a2d9100f4e9167116fe280a7e7a1b6219">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="aa0006ee4213a6af6e0aae98f59332d1d"></a><!-- doxytag: member="Ogre::DeflateStream::write" ref="aa0006ee4213a6af6e0aae98f59332d1d" args="(const void *buf, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1DeflateStream.html#aa0006ee4213a6af6e0aae98f59332d1d">Ogre::DeflateStream::write</a> </td>
          <td>(</td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Write the requisite number of bytes from the stream (only applicable to streams that are not read-only) </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>Pointer to a buffer containing the bytes to write </td></tr>
    <tr><td class="paramname">count</td><td>Number of bytes to write </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The number of bytes written </dd></dl>
 
<p>Reimplemented from <a class="el" href="classOgre_1_1DataStream.html#a68cde598ee9c2694e16931134fe5c136">Ogre::DataStream</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a8eab8765fb7120bb1e519ff8d2460b13"></a><!-- doxytag: member="Ogre::DeflateStream::mAccess" ref="a8eab8765fb7120bb1e519ff8d2460b13" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1DataStream.html#a8eab8765fb7120bb1e519ff8d2460b13">Ogre::DataStream::mAccess</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>What type of access is allowed (AccessMode) </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00189">189</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a024e93885096fa4ad173eeaff662db58"></a><!-- doxytag: member="Ogre::DeflateStream::mCompressedStream" ref="a024e93885096fa4ad173eeaff662db58" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> <a class="el" href="classOgre_1_1DeflateStream.html#a024e93885096fa4ad173eeaff662db58">Ogre::DeflateStream::mCompressedStream</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreDeflate_8h_source.html#l00058">58</a> of file <a class="el" href="OgreDeflate_8h_source.html">OgreDeflate.h</a>.</p>

</div>
</div>
<a class="anchor" id="a691e32453639f8356ba7b66edc650a7f"></a><!-- doxytag: member="Ogre::DeflateStream::mCurrentPos" ref="a691e32453639f8356ba7b66edc650a7f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1DeflateStream.html#a691e32453639f8356ba7b66edc650a7f">Ogre::DeflateStream::mCurrentPos</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreDeflate_8h_source.html#l00062">62</a> of file <a class="el" href="OgreDeflate_8h_source.html">OgreDeflate.h</a>.</p>

</div>
</div>
<a class="anchor" id="a418d2338032eec00e54624700ab8ba22"></a><!-- doxytag: member="Ogre::DeflateStream::mIsCompressedValid" ref="a418d2338032eec00e54624700ab8ba22" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1DeflateStream.html#a418d2338032eec00e54624700ab8ba22">Ogre::DeflateStream::mIsCompressedValid</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Whether the underlying stream is valid compressed data. </p>

<p>Definition at line <a class="el" href="OgreDeflate_8h_source.html#l00071">71</a> of file <a class="el" href="OgreDeflate_8h_source.html">OgreDeflate.h</a>.</p>

</div>
</div>
<a class="anchor" id="a371660702e913ca2799f0478a2154af7"></a><!-- doxytag: member="Ogre::DeflateStream::mName" ref="a371660702e913ca2799f0478a2154af7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1DataStream.html#a371660702e913ca2799f0478a2154af7">Ogre::DataStream::mName</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The name (e.g. resource name) that can be used to identify the source fot his data (optional) </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00185">185</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4349212fc17bf2346574bc636d036d92"></a><!-- doxytag: member="Ogre::DeflateStream::mReadCache" ref="a4349212fc17bf2346574bc636d036d92" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticCache.html">StaticCache</a>&lt;16 * <a class="el" href="OgreDataStream_8h.html#a71a2d398037a64aa241ef5c0be350430">OGRE_STREAM_TEMP_SIZE</a>&gt; <a class="el" href="classOgre_1_1DeflateStream.html#a4349212fc17bf2346574bc636d036d92">Ogre::DeflateStream::mReadCache</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Cache for read data in case skipping around. </p>

<p>Definition at line <a class="el" href="OgreDeflate_8h_source.html#l00065">65</a> of file <a class="el" href="OgreDeflate_8h_source.html">OgreDeflate.h</a>.</p>

</div>
</div>
<a class="anchor" id="a260d2aa9971abc5b8412cff1a01d6382"></a><!-- doxytag: member="Ogre::DeflateStream::mSize" ref="a260d2aa9971abc5b8412cff1a01d6382" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1DataStream.html#a260d2aa9971abc5b8412cff1a01d6382">Ogre::DataStream::mSize</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Size of the data in the stream (may be 0 if size cannot be determined) </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00187">187</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="adfb37cc37e17df4c0d734bbf55f98f90"></a><!-- doxytag: member="Ogre::DeflateStream::mTempFileName" ref="adfb37cc37e17df4c0d734bbf55f98f90" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1DeflateStream.html#adfb37cc37e17df4c0d734bbf55f98f90">Ogre::DeflateStream::mTempFileName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreDeflate_8h_source.html#l00060">60</a> of file <a class="el" href="OgreDeflate_8h_source.html">OgreDeflate.h</a>.</p>

</div>
</div>
<a class="anchor" id="a249843cf1386300d0ccae577d29fc363"></a><!-- doxytag: member="Ogre::DeflateStream::mTmp" ref="a249843cf1386300d0ccae577d29fc363" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char* <a class="el" href="classOgre_1_1DeflateStream.html#a249843cf1386300d0ccae577d29fc363">Ogre::DeflateStream::mTmp</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Intermediate buffer for read / write. </p>

<p>Definition at line <a class="el" href="OgreDeflate_8h_source.html#l00068">68</a> of file <a class="el" href="OgreDeflate_8h_source.html">OgreDeflate.h</a>.</p>

</div>
</div>
<a class="anchor" id="a128d2927cfb876b9a6e1d28b44af3f1e"></a><!-- doxytag: member="Ogre::DeflateStream::mTmpWriteStream" ref="a128d2927cfb876b9a6e1d28b44af3f1e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> <a class="el" href="classOgre_1_1DeflateStream.html#a128d2927cfb876b9a6e1d28b44af3f1e">Ogre::DeflateStream::mTmpWriteStream</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreDeflate_8h_source.html#l00059">59</a> of file <a class="el" href="OgreDeflate_8h_source.html">OgreDeflate.h</a>.</p>

</div>
</div>
<a class="anchor" id="a85ce03abdcfb8904a942cc2e0eafa7c8"></a><!-- doxytag: member="Ogre::DeflateStream::mZStream" ref="a85ce03abdcfb8904a942cc2e0eafa7c8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgreDeflate_8h.html#aa4751fbf6d882976fb300ea9815f5010">z_stream</a>* <a class="el" href="classOgre_1_1DeflateStream.html#a85ce03abdcfb8904a942cc2e0eafa7c8">Ogre::DeflateStream::mZStream</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreDeflate_8h_source.html#l00061">61</a> of file <a class="el" href="OgreDeflate_8h_source.html">OgreDeflate.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreDeflate_8h_source.html">OgreDeflate.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
